Subject: Re: [PATCH 2/2] powerpc - Make the irq reverse mapping radix tree lockless

From: Sebastien Dugue <[email-masked]>
Date: Wed, 3 Sep 2008 15:41:05 +0200

On Wed, 20 Aug 2008 15:23:01 +1000 Benjamin Herrenschmidt <[email-masked]> wrote:

> BTW. It would be good to try to turn the GFP_ATOMIC into GFP_KERNEL,

  That would be nice indeed

> maybe using a semaphore instead of a lock to protect insertion vs.
> initialisation.

  a semaphore? are you meaning a mutex? If not, I fail to understand what you're
implying.

> The old scheme was fine because if the atomic allocation
> failed, it could fallback to the linear search and try again on the next
> interrupt. Not anymore.

  Right, that's the problem with this new scheme and I'm still trying
to find a way to handle memory allocation failures be it for GFP_ATOMIC or
GFP_KERNEL.

  I could not think of anything simple so far and I'm open for suggestions.

  Thanks,

  Sebastien.